import 'package:flutter/material.dart';
import 'package:x_image_picker/x_image_picker.dart';

void main() {
  WidgetsFlutterBinding.ensureInitialized();
  runApp(MyApp());
}

class MyApp extends StatefulWidget {
  const MyApp({Key? key}) : super(key: key);

  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: Text("图片选择测试"),
        ),
        body: Column(
          children: [
            MaterialButton(
              onPressed: () async {
                final res = await XImagePicker.pickImage(XImagePickerArgs(
                    type: XImagePickerArgsMediaType.Video,
                    recordVideoSecond: 10));
                print(res.toString());
              },
              child: Text("选择图片"),
            )
          ],
        ),
      ),
    );
  }
}
