part of x_image_picker;

class XImagePickerResult {
  final File file;
  final int width;
  final int height;

  /// 封面，仅当type 为[XImagePickerArgsMediaType.Video]有效
  File? cover;

  String? _coverPath;

  XImagePickerResult(
      {required this.file,
      required this.width,
      required this.height,
      this.cover});

  factory XImagePickerResult.fromMap(Map<String, dynamic> mapData) =>
      _$XImagePickerResultFromMap(mapData);

  @override
  String toString() {
    return "path:${file.path},width: $width,height:$height, cover:${cover?.path}";
  }
}

XImagePickerResult _$XImagePickerResultFromMap(Map<String, dynamic> mapData) {
  return XImagePickerResult(
      file: File(mapData["path"] as String),
      width: mapData["width"] as int,
      height: mapData["height"] as int);
}
